import request from '@/utils/request'

// 查询车辆基础信息列表
export function listCar(query) {
  return request({
    url: '/car/car/list',
    method: 'get',
    params: query
  })
}

// 查询车辆基础信息详细
export function getCar(id) {
  return request({
    url: '/car/car/' + id,
    method: 'get'
  })
}

// 新增车辆基础信息
export function addCar(data) {
  return request({
    url: '/car/car',
    method: 'post',
    data: data
  })
}

// 修改车辆基础信息
export function updateCar(data) {
  return request({
    url: '/car/car',
    method: 'put',
    data: data
  })
}

// 删除车辆基础信息
export function delCar(id) {
  return request({
    url: '/car/car/' + id,
    method: 'delete'
  })
}
